Read and Review Automation Anywhere Documentation

Automation Anywhere Version 11.3

Close Contents

Contents

Open Contents

Version 11.3.1.11 Release Notes

  • Updated: 1/13/2022
    • 11.3.x
    • Explore
    • Enterprise
    • Release Notes

Version 11.3.1.11 Release Notes

The Version 11.3.1.11 release includes the fix for Apache Log4j2 vulnerability and Control Room known limitations. There are no new features, changed features, or fixed features in this release.

This Control Room Version 11.3.1.11 update is available for the base Version 11.3.1. See Upgrade considerations.

Security fix

This release addresses the exposure to the Apache Log4j CVE-2021-45105, CVE-2021-45046, and CVE-2021-44228 vulnerabilities.

Important: We have updated Automation Anywhere Enterprise Version 11.3.1.11 to include the fix for the Apache Log4j2 component vulnerability. The Apache Log4j2 library in this release is updated to version 2.17.0.

For the Log4j2 vulnerability, as an additional, in-depth defense measure, Version 11.3.1.11 includes the parameter (-Dlog4j2.formatMsgNoLookups=true) for all the applicable Windows services. There will be no impact to Control Room 11.3.1.x users who have already implemented this parameter change. For additional information on the parameter change, see Automation Anywhere Enterprise 11.x | Update regarding CVE-2021-44228 related to 0-day in the Apache Log4j2 Java library (A-People login required).

For more information, see FAQs related to Automation Anywhere Releases regarding zero-day vulnerabilities (CVE-2021-44228, CVE-2021-45046) (A-People login required).

Review the disclaimer document included in the Version 11.3.1.11 build for more information.

Known limitations

Control Room
  • When you create a Control Room user after upgrading to Version 11.3.1.11, this user cannot access the Control Room dashboards. However this does not impact other existing Control Room users.
  • After upgrading to Version 11.3.1.11, we recommend that you do not execute the data migration .bat file because it is not supported in this version.
Send Feedback